component: TrafficLightMonitorFaults
metric: zoox::diag::EmptyMetric
namespace: zoox::vision
faults:
    # Deprecated.
  - id: 0
    name: HERO_STATE_STALE
    severity: WARNING
    description: "Could not find a nearby hero state in our buffer within a time threshold."
    deprecated: true
    # Deprecated.
  - id: 1
    name: HERO_STATE_OUT_OF_RANGE
    severity: WARNING
    description: "Hero state lookup was out of the time range of our buffer."
    deprecated: true
    # Deprecated.
  - id: 2
    name: HERO_STATE_ERROR_UNKNOWN
    severity: WARNING
    description: "Unknown warning in the hero state lookup."
    deprecated: true
  - id: 3
    name: HERO_STATE_LOOKUP_ERROR
    severity: WARNING
    description: "Could not look up a utm-from-base transform."
  - id: 4
    name: HERO_STATE_PROTO_MALFORMED
    severity: WARNING
    description: "Hero state could not be added to transform buffer."
  - id: 5
    name: POSE_ERROR
    severity: ERROR
    description: "Unrecoverable Fault: Pose was restarted and this requires the Traffic Light node to be restarted as well. Please restart the Perception node to restart the Traffic Light Node."
    triggers_nogo: true
  - id: 6
    name: TLMTickTookTooLongWarning
    severity: WARNING
    description: "Traffic light monitor tick took longer than expected."
  - id: 7
    name: TLMTickTookTooLongError
    severity: WARNING
    description: "Traffic light monitor tick took too long. This will trigger a NOGO in the future."
  - id: 8
    name: CWMTickTookTooLongWarning
    severity: WARNING
    description: "Crosswalk monitor tick took too long."
